# GoogleChartPiece Class Reference

Inheritance diagram for GoogleChartPiece:
[legend]

List of all members.

## Public Member Functions

| setTitle ($title)
| getTitle ()
| setColor (Color $color)
| getColor ()
| setValue ($value)
| getValue ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $title = null
| $color = null
| $value = null

## Detailed Description

Definition at line 15 of file GoogleChartPiece.class.php.

## Member Function Documentation

static GoogleChartPiece::create | ( |  | ) | `[static]`

Returns:
  GoogleChartPiece

Reimplemented in GoogleChartLine.

Definition at line 24 of file GoogleChartPiece.class.php.

GoogleChartPiece::getColor | ( |  | ) |

Returns:
  Color

Definition at line 57 of file GoogleChartPiece.class.php.

Referenced by GoogleLineChart::addLine(), and GooglePieChart::addPiece().

GoogleChartPiece::getTitle | ( |  | ) |

Definition at line 39 of file GoogleChartPiece.class.php.

Referenced by GoogleLineChart::addLine(), and GooglePieChart::addPiece().

GoogleChartPiece::getValue | ( |  | ) |

Definition at line 72 of file GoogleChartPiece.class.php.

Referenced by GoogleLineChart::addLine(), and GooglePieChart::addPiece().

GoogleChartPiece::setColor | ( | Color $ | color | ) |

Returns:
  GoogleChartPiece

Definition at line 47 of file GoogleChartPiece.class.php.

GoogleChartPiece::setTitle | ( | $ | title | ) |

Returns:
  GoogleChartPiece

Definition at line 32 of file GoogleChartPiece.class.php.

References $title.

GoogleChartPiece::setValue | ( | $ | value | ) |

Returns:
  GoogleChartPiece

Reimplemented in GoogleChartLine.

Definition at line 65 of file GoogleChartPiece.class.php.

References $value.

## Member Data Documentation

GoogleChartPiece::$color = null`[private]`

Definition at line 18 of file GoogleChartPiece.class.php.

GoogleChartPiece::$title = null`[private]`

Definition at line 17 of file GoogleChartPiece.class.php.

Referenced by setTitle().

GoogleChartPiece::$value = null`[private]`

Definition at line 19 of file GoogleChartPiece.class.php.

Referenced by setValue(), and GoogleChartLine::setValue().

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartPiece.class.php